GET
/managed-job-templates
http://iot.{region}.amazonaws.com/managed-job-templatesReturns a list of managed job templates.
Access Token Required: API Key
Query Params
templateNamestring
An optional parameter for template name. If specified, only the versions of the managed job templates that have the specified template name will be returned.
maxResultsinteger
Maximum number of entries that can be returned.
nextTokenstring
The token to retrieve the next set of results.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/managed-job-templates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}